LighthouseDB = {};

LighthouseDB.containers = {
	
	{name = "LH_Ships",
		x = 300, 
		y = 150, 
		self_anchor = "TOPLEFT",
		relativeto = "LH_Content",
		parent_anchor = "TOPLEFT",
		x_offset = 5,
		y_offset = -5,
		title = "Ship Type Counters",
	},
	
	{name = "LH_Traits",
		x = 300, 
		y = 150, 
		self_anchor = "TOP",
		relativeto = "LH_Ships",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Trait Counters",
	},
	
	{name = "LH_Crews",
		x = 300, 
		y = 150, 
		self_anchor = "TOP",
		relativeto = "LH_Traits",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Crew Types",
	},
	
	{name = "LH_Counter_Equipment",
		x = 300, 
		y = 150, 
		self_anchor = "TOP",
		relativeto = "LH_Crews",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Counter Equipment",
	},
	
	{name = "LH_Success_Equipment",
		x = 300, 
		y = 150, 
		self_anchor = "TOP",
		relativeto = "LH_Counter_Equipment",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Success Chance Equipment",
	},
	
	{name = "LH_Misc_Equipment",
		x = 300, 
		y = 150, 
		self_anchor = "TOP",
		relativeto = "LH_Success_Equipment",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Miscellaneous Equipment",
	},	
		
};


LighthouseDB.counters = {
	
	{name = "Battleship",
		icon = "Interface\\ICONS\\Ships_ABILITY_ArmorPiercingAmmo.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "LH_Ships",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 95,
		y_offset = 5,
		active = {},
		inactive = {},
		texture_name_active = "Battleship_Active",
		texture_name_inactive = "Battleship_Inactive",
		button_name = "WT_Battleship",
		description = "Carriers:",
	},
	
	{name = "Carrier",
		icon = "Interface\\ICONS\\Ships_ABILITY_Bombers.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Battleship",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Carrier_Active",
		texture_name_inactive = "Carrier_Inactive",
		button_name = "WT_Carrier",
		description = "Submarines:",
	},
	
	{name = "Destroyer",
		icon = "Interface\\ICONS\\Ships_ABILITY_DepthCharges.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Carrier",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Destroyer_Active",
		texture_name_inactive = "Destroyer_Inactive",
		button_name = "WT_Destroyer",
		description = "Battleships:",
	},
		
	{name = "Land Objective",
		icon = "Interface\\ICONS\\Ability_Rogue_FleetFooted.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Destroyer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Land_Objective_Active",
		texture_name_inactive = "Land_Objective_Inactive",
		button_name = "WT_Land Objective",
		description = "Transports:",
	},
	
	{name = "Submarine",
		icon = "Interface\\ICONS\\Ships_ABILITY_Stealth.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Land Objective",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Submarine_Active",
		texture_name_inactive = "Submarine_Inactive",
		button_name = "WT_Submarine",
		description = "Destroyers:",
	},
	

		
}

LighthouseDB.traits = {
	
	{name = "Cursed Crew",
		icon = "Interface\\ICONS\\Spell_Holy_SenseUndead.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "LH_Traits",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 50,
		y_offset = 5,
		active = {},
		inactive = {},
		texture_name_active = "Cursed_Crew_Active",
		texture_name_inactive = "Cursed_Crew_Inactive",
		button_name = "WT_Cursed Crew",
		description = "Countered by: Ghostly Spyglass.",
	},
	
	{name = "Evasive",
		icon = "Interface\\ICONS\\Spell_Shadow_ShadowWard.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Cursed Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Evasive_Active",
		texture_name_inactive = "Evasive_Inactive",
		button_name = "WT_Evasive",
		description = "Countered by: True Iron Rudder.",
	},
	
	{name = "First Strike",
		icon = "Interface\\ICONS\\Ability_Hunter_SniperShot.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Evasive",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "First_Strike_Active",
		texture_name_inactive = "First_Strike_Inactive",
		button_name = "WT_First Strike",
		description = "Countered by: Felsmoke Launcher.",
	},
	
	{name = "Minelayer",
		icon = "Interface\\ICONS\\INV_Misc_Bomb_02.blp",
		self_anchor = "LEFT",
		relativeto = "WT_First Strike",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Minelayer_Active",
		texture_name_inactive = "Minelayer_Inactive",
		button_name = "WT_Minelayer",
		description = "Countered by: Trained Shark Tank.",
	},
	
	{name = "Swift",
		icon = "Interface\\ICONS\\Ability_Druid_Dash.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Minelayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Swift_Active",
		texture_name_inactive = "Swift_Inactive",
		button_name = "WT_Swift",
		description = "Countered by: Blast Furnace.",
	},
	
	{name = "Chaotic Whirlpools",
		icon = "Interface\\ICONS\\Ability_Garrosh_Empowered_Whirling_Corruption.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Swift",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Chaotic_Whirlpools_Active",
		texture_name_inactive = "Chaotic_Whirlpools_Inactive",
		button_name = "WT_Chaotic Whirlpools",
		description = "Countered by: Gyroscopic Internal Stabalizer.",
	},
	
	{name = "Dense Fog",
		icon = "Interface\\ICONS\\Ability_Vanish.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Chaotic Whirlpools",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Dense_Fog_Active",
		texture_name_inactive = "Dense_Fog_Inactive",
		button_name = "WT_Dense Fog",
		description = "Countered by: High Intensity Fog Lights.",
	},
	
	{name = "Icy Water",
		icon = "Interface\\ICONS\\Achievement_Zone_IceCrown_02.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Dense Fog",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Icy_Water_Active",
		texture_name_inactive = "Icy_Water_Inactive",
		button_name = "WT_Icy Water",
		description = "Countered by: Ice Cutter.",
	},
	
	{name = "Stormy Weather",
		icon = "Interface\\ICONS\\inv_misc_stormlordsfavor.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Icy Water",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Stormy_Weather_Active",
		texture_name_inactive = "Stormy_Weather_Inactive",
		button_name = "WT_Stormy Weather",
		description = "Countered by: Bilge Pump.",
	},
	
}


LighthouseDB.crewa = {
	
	{name = "Human Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Human_Female.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "LH_Crews",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 50,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Human_Crew_Active",
		texture_name_inactive = "Human_Crew_Inactive",	
		button_name = "WT_Human Crew",
		description = "Increases success chance on missions.",
	},
	
	{name = "Pandaren Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Pandaren_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Human Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Pandaren_Crew_Active",
		texture_name_inactive = "Pandaren_Crew_Inactive",	
		button_name = "WT_Pandaren Crew",
		description = "Increases success chance on long missions.",
	},
	
	{name = "Draenic Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Draenei_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Pandaren Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Draenic_Crew_Active",
		texture_name_inactive = "Draenic_Crew_Inactive",	
		button_name = "WT_Draenic Crew",
		description = "Counters Dense Fog.",
	},
	
	{name = "Murloc Crew",
		icon = "Interface\\ICONS\\INV_Misc_Head_Murloc_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Draenic Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Murloc_Crew_Active",
		texture_name_inactive = "Murloc_Crew_Inactive",	
		button_name = "WT_Murloc Crew",
		description = "Counters Land Objective.",
	},
	
	{name = "Night Elf Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Nightelf_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Murloc Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Night_Elf_Crew_Active",
		texture_name_inactive = "Night_Elf_Crew_Inactive",	
		button_name = "WT_Night Elf Crew",
		description = "Reduces mission time by 50%.",
	},
	
	{name = "Worgen Crew",
		icon = "Interface\\ICONS\\Achievement_worganhead.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Night Elf Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Worgen_Crew_Active",
		texture_name_inactive = "Worgen_Crew_Inactive",	
		button_name = "WT_Worgen Crew",
		description = "Increases the experience gained from a mission for all ships by 50%.",
	},
	
	{name = "Gnomish Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Gnome_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Worgen Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Gnomish_Crew_Active",
		texture_name_inactive = "Gnomish_Crew_Inactive",	
		button_name = "WT_Gnomish Crew",
		description = "Allows naval equipment to be recovered from successful missions.",
	},
	
	{name = "Dwarven Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Dwarf_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Gnomish Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Dwarven_Crew_Active",
		texture_name_inactive = "Dwarven_Crew_Inactive",	
		button_name = "WT_Dwarven Crew",
		description = "Increases the gold gained from a mission by 100%.",
	},
	
	{name = "Arakkoa Crew",
		icon = "Interface\\ICONS\\inv_tabard_a_76arakkoaoutcast",
		self_anchor = "LEFT",
		relativeto = "WT_Dwarven Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Arakkoa_Crew_Active",
		texture_name_inactive = "Arakkoa_Crew_Inactive",	
		button_name = "WT_Arakkoa Crew",
		description = "Counters Battleships.",
	},
	
}

LighthouseDB.crewh = {
	
	{name = "Undead Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Undead_Female.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "LH_Crews",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 50,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Undead_Crew_Active",
		texture_name_inactive = "Undead_Crew_Inactive",	
		button_name = "WT_Undead Crew",
		description = "Increases success chance on missions.",
	},
	
	{name = "Pandaren Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Pandaren_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Undead Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Pandaren_Crew_Active",
		texture_name_inactive = "Pandaren_Crew_Inactive",	
		button_name = "WT_Pandaren Crew",
		description = "Increases success chance on long missions.",
	},
	
	{name = "Orc Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Orc_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Pandaren Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Orc_Crew_Active",
		texture_name_inactive = "Orc_Crew_Inactive",	
		button_name = "WT_Orc Crew",
		description = "Counters Dense Fog.",
	},
	
	{name = "Murloc Crew",
		icon = "Interface\\ICONS\\INV_Misc_Head_Murloc_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Orc Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Murloc_Crew_Active",
		texture_name_inactive = "Murloc_Crew_Inactive",	
		button_name = "WT_Murloc Crew",
		description = "Counters Land Objective.",
	},
	
	{name = "Blood Elf Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Bloodelf_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Murloc Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Blood_Elf_Crew_Active",
		texture_name_inactive = "Blood_Elf_Crew_Inactive",	
		button_name = "WT_Blood Elf Crew",
		description = "Reduces mission time by 50%.",
	},
	
	{name = "Tauren Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Tauren_female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Blood Elf Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Tauren_Crew_Active",
		texture_name_inactive = "Tauren_Crew_Inactive",	
		button_name = "WT_Tauren Crew",
		description = "Increases the experience gained from a mission for all ships by 50%.",
	},
	
	{name = "Troll Crew",
		icon = "Interface\\ICONS\\Achievement_Character_Troll_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Tauren Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Troll_Crew_Active",
		texture_name_inactive = "Troll_Crew_Inactive",	
		button_name = "WT_Troll Crew",
		description = "Allows naval equipment to be recovered from successful missions.",
	},
	
	{name = "Goblin Crew",
		icon = "Interface\\ICONS\\achievement_FemaleGoblinhead.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Troll Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Goblin_Crew_Active",
		texture_name_inactive = "Goblin_Crew_Inactive",	
		button_name = "WT_Goblin Crew",
		description = "Increases the gold gained from a mission by 100%.",
	},
	
	{name = "Arakkoa Crew",
		icon = "Interface\\ICONS\\inv_tabard_a_76arakkoaoutcast",
		self_anchor = "LEFT",
		relativeto = "WT_Goblin Crew",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Arakkoa_Crew_Active",
		texture_name_inactive = "Arakkoa_Crew_Inactive",	
		button_name = "WT_Arakkoa Crew",
		description = "Counters Battleships.",
	},
	
	
}


LighthouseDB.success_equipment = {
	
	{name = "Ammo Reserves",
		icon = "Interface\\ICONS\\INV_Ammo_Bullet_07.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "LH_Success_Equipment",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 73,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Ammo_Reserves_Active",
		texture_name_inactive = "Ammo_Reserves_Inactive",	
		button_name = "WT_Ammo Reserves",
		description = "Increases success chance when on missions with a Battleship.",
	},
	
	{name = "Automated Sky Scanner",
		icon = "Interface\\ICONS\\INV_Misc_EngGizmos_15.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Ammo Reserves",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Automated_Sky_Scanner_Active",
		texture_name_inactive = "Automated_Sky_Scanner_Inactive",	
		button_name = "WT_Automated Sky Scanner",
		description = "Increases success chance when on missions with a Carrier.",
	},
	
	{name = "Extra Quarters",
		icon = "Interface\\ICONS\\INV_Gizmo_AdamantiteFrame.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Automated Sky Scanner",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Extra_Quarters_Active",
		texture_name_inactive = "Extra_Quarters_Inactive",	
		button_name = "WT_Extra Quarters",
		description = "Increases success chance when on missions with a Transport.",
	},
	
	{name = "Q-43 Noisemaker Mines",
		icon = "Interface\\ICONS\\INV_Offhand_1h_DraenorCrafted_D_01_B_Alliance.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Extra Quarters",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Q-43_Noisemaker_Mines_Active",
		texture_name_inactive = "Q-43_Noisemaker_Mines_Inactive",	
		button_name = "WT_Q-43 Noisemaker Mines",
		description = "Increases success chance when on missions with a Submarine.",
	},
	
	{name = "Sonic Amplification Field",
		icon = "Interface\\ICONS\\Ability_Vehicle_SonicShockwave.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Q-43 Noisemaker Mines",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Sonic_Amplification_Field_Active",
		texture_name_inactive = "Sonic_Amplification_Field_Inactive",	
		button_name = "WT_Sonic Amplification Field",
		description = "Increases success chance when on missions with a Destroyer.",
	},
	
	{name = "Food Storage Bay",
		icon = "Interface\\ICONS\\inv_misc_food_cooked_greatpabanquet_steamer.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Sonic Amplification Field",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Food_Storage_Bay_Active",
		texture_name_inactive = "Food_Storage_Bay_Inactive",	
		button_name = "WT_Food Storage Bay",
		description = "Adds space for additional food stores, improving success chance on long missions.",
	},
	
	{name = "Salty Crew",
		icon = "Interface\\ICONS\\INV_Helm_Misc_VikingPartyHat.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Food Storage Bay",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Salty_Crew_Active",
		texture_name_inactive = "Salty_Crew_Inactive",	
		button_name = "WT_Salty Crew",
		description = "Grants a bonus to mission success chance.",
	},
	
	
	
}


LighthouseDB.misc_equipment = {
	
	{name = "Tuskarr Fishing Net",
		icon = "Interface\\ICONS\\INV_Misc_Net_01.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "LH_Misc_Equipment",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 105,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Tuskarr_Fishing_Net_Active",
		texture_name_inactive = "Tuskarr_Fishing_Net_Inactive",	
		button_name = "WT_Tuskarr Fishing Net",
		description = "Supplies fish when returning from a successful mission.",
	},
	
	{name = "Unsinkable",
		icon = "Interface\\ICONS\\Ability_Paladin_SavedByTheLight.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Tuskarr Fishing Net",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Unsinkable_Active",
		texture_name_inactive = "Unsinkable_Inactive",	
		button_name = "WT_Unsinkable",
		description = "One-time cheat death for ships; equipment is destroyed when triggered.",
	},
	
	{name = "Nitro Fuel Tanks",
		icon = "Interface\\ICONS\\INV_Gizmo_FuelCell.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Unsinkable",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Nitro_Fuel_Tanks_Active",
		texture_name_inactive = "Nitro_Fuel_Tanks_Inactive",	
		button_name = "WT_Nitro Fuel Tanks",
		description = "Reduces mission time by 50%.",
	},
	
	{name = "Wreckage Recovery Module",
		icon = "Interface\\ICONS\\Achievement_Zone_SearingGorge_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Nitro Fuel Tanks",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Wreckage_Recovery_Module_Active",
		texture_name_inactive = "Wreckage_Recovery_Module_Inactive",	
		button_name = "WT_Wreckage Recovery Module",
		description = "Uknown.",
	},
	
}


LighthouseDB.counter_equipment = {
	
	{name = "Bilge Pump",
		icon = "Interface\\ICONS\\INV_Eng_Gizmo2.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "LH_Counter_Equipment",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 50,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Bilge_Pump_Active",
		texture_name_inactive = "Bilge_Pump_Inactive",	
		button_name = "WT_Bilge Pump",
		description = "Counters Stormy Weather.",
	},
	
	{name = "Blast Furnace",
		icon = "Interface\\ICONS\\Achievement_Raid_SoO_Garrosh_Compound_Half1.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Bilge Pump",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Blast_Furnace_Active",
		texture_name_inactive = "Blast_Furnace_Inactive",	
		button_name = "WT_Blast Furnace",
		description = "Counters Swift.",
	},
	
	{name = "Felsmoke Launcher",
		icon = "Interface\\ICONS\\Ability_Monk_RenewingMists.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Blast Furnace",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Felsmoke_Launcher_Active",
		texture_name_inactive = "Felsmoke_Launcher_Inactive",	
		button_name = "WT_Felsmoke Launcher",
		description = "Counters First Strike.",
	},
	
	{name = "Ghostly Spyglass",
		icon = "Interface\\ICONS\\INV_Misc_Spyglass_02.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Felsmoke Launcher",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Ghostly_Spyglass_Active",
		texture_name_inactive = "Ghostly_Spyglass_Inactive",	
		button_name = "WT_Ghostly Spyglass",
		description = "Counters Cursed Crew.",
	},
	
	{name = "Gyroscopic Internal Stabilizer",
		icon = "Interface\\ICONS\\ability_mount_rocketmount4.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Ghostly Spyglass",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Gyroscopic_Internal_Stabilizer_Active",
		texture_name_inactive = "Gyroscopic_Internal_Stabilizer_Inactive",	
		button_name = "WT_Gyroscopic Internal Stabilizer",
		description = "Counters Chaotic Whirlpools.",
	},
	
	{name = "High Intensity Fog Lights",
		icon = "Interface\\ICONS\\Paladin_icon_speedoflight.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Gyroscopic Internal Stabilizer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "High_Intensity_Fog_Lights_Active",
		texture_name_inactive = "High_Intensity_Fog_Lights_Inactive",	
		button_name = "WT_High Intensity Fog Lights",
		description = "Counters Dense Fog.",
	},
	
	{name = "Ice Cutter",
		icon = "Interface\\ICONS\\Ability_Siege_Engineer_Superheated.blp",
		self_anchor = "LEFT",
		relativeto = "WT_High Intensity Fog Lights",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Ice_Cutter_Active",
		texture_name_inactive = "Ice_Cutter_Inactive",	
		button_name = "WT_Ice Cutter",
		description = "Counters Icey Water.",
	},
	
	{name = "Trained Shark Tank",
		icon = "Interface\\ICONS\\INV_Pet_BabyShark.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Ice Cutter",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Trained_Shark_Tank_Active",
		texture_name_inactive = "Trained_Shark_Tank_Inactive",	
		button_name = "WT_Trained Shark Tank",
		description = "Counters Minelayer.",
	},
	
	{name = "True Iron Rudder",
		icon = "Interface\\ICONS\\INV_Eng_MechanicalBoomerang2.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Trained Shark Tank",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "True_Iron_Rudder_Active",
		texture_name_inactive = "True_Iron_Rudder_Inactive",	
		button_name = "WT_True Iron Rudder",
		description = "Counters Evasive.",
	},
	
}