lighthouseState = true;
local faction = UnitFactionGroup("player");


function lighthouseFrame()
	
	toggleButtons();
	
	if LH_Graph == nil then
	
		local containers = LighthouseDB.containers;
		local backdrop = {bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background", tile = true, tileSize = 32};
		local x_size, y_size = GarrisonShipyardFrame:GetSize();
		GarrisonShipyardFrame:SetPoint("CENTER", UIParent, "CENTER", -200, 0 );
		
		local graph = CreateFrame("Frame", "LH_Graph", GarrisonShipyardFrame, "GarrisonUITemplate");
		graph:SetSize(420, y_size);
		graph:SetPoint("LEFT", GarrisonShipyardFrame, "RIGHT", 1, 0);
		graph:EnableMouse(true);
		graph.CloseButton:Hide();
		graph:CreateFontString("Title","ARTWORK" ,"GameFontNormal");
		Title:SetText("Watchtower");
		Title:SetPoint("TOP", 0, -5);
		graph:CreateFontString("Footer", "ARTWORK", "GameFontNormalSmall");
		Footer:SetText("Lot20Syndicate");
		Footer:SetPoint("BOTTOMRIGHT", -50, 5);
		
		local greybox = CreateFrame("Frame", "LH_greybox", graph, "GarrisonMissionBaseFrameTemplate")
		greybox:SetSize(330, (y_size - 80));
		greybox:SetPoint("CENTER", graph, "CENTER", -10, -5);
		greybox:CreateTexture("LH_Icon_overlay", "ARTWORK");
		LH_Icon_overlay:SetPoint("TOPRIGHT", graph, "TOPRIGHT", 65, 30);
		LH_Icon_overlay:SetTexture("Interface\\ExtraButton\\ChampionLight.blp");
		LH_Icon_overlay:SetSize(160,80);
		greybox:CreateTexture("LH_Icon", "ARTWORK", nil, -1);
		LH_Icon:SetPoint("CENTER", LH_Icon_overlay, "CENTER", 1, 0);
		LH_Icon:SetTexture("Interface\\ICONS\\TEMP.blp");
		LH_Icon:SetSize(32,32);
		
		local scrollframe = CreateFrame("ScrollFrame", nil, greybox)
		scrollframe:SetPoint("TOPLEFT", 10, -10)
		scrollframe:SetPoint("BOTTOMRIGHT", -10, 15)
		greybox.scrollframe = scrollframe
		
		scrollframe:EnableMouseWheel(true);
		scrollframe:SetScript("OnMouseWheel", function(self, delta)
			local bar_value = greybox.scrollbar:GetValue();
			greybox.scrollbar:SetValue(bar_value - (delta * 45));
		end)
		
		local scrollbar = CreateFrame("Slider", nil, scrollframe, "UIPanelScrollBarTemplate")
		scrollbar:SetPoint("TOPLEFT", greybox, "TOPRIGHT", 4, -16)
		scrollbar:SetPoint("BOTTOMLEFT", greybox, "BOTTOMRIGHT", 4, 16)
		scrollbar:SetMinMaxValues(1, 370)
		scrollbar:SetValueStep(1)
		scrollbar.scrollStep = 1
		scrollbar:SetValue(0)
		scrollbar:SetWidth(16)
		scrollbar:SetScript("OnValueChanged",
		function (self, value)
		self:GetParent():SetVerticalScroll(value)
		end)
		local scrollbg = scrollbar:CreateTexture(nil, "BACKGROUND")
		scrollbg:SetAllPoints(scrollbar)
		scrollbg:SetTexture(0, 0, 0, .8)
		greybox.scrollbar = scrollbar
		
		local content = CreateFrame("Frame", "LH_Content", scrollframe)
		content:SetSize(300, 530)
		scrollframe.content = content
		scrollframe:SetScrollChild(content) 
		
		
		
		
		for i = 1, #containers do
			local box = CreateFrame("Frame", containers[i].name, content);
			box:SetBackdrop(backdrop);
			box:SetSize(containers[i].x, containers[i].y);
			box:SetPoint(containers[i].self_anchor, containers[i].relativeto, containers[i].parent_anchor, containers[i].x_offset, containers[i].y_offset);
			local title = box:CreateFontString(nil, "ARTWORK", "QuestFontNormalSmall");
			title:SetText("|cffffff00" .. containers[i].title .. "|r");
			title:SetPoint("TOP", 0, -5);
			for index2 = 0,9 do
				local line = box:CreateTexture(nil);
				line:SetTexture(1.0, 1.0, 1.0, 0.1);
				line:SetSize((containers[i].x - 50),1);
				line:SetPoint("BOTTOM", 0, ((index2 * 10) + 30));
				local numleft = box:CreateFontString(nil,"ARTWORK" ,"GameFontNormalSmall");
				local numright = box:CreateFontString(nil,"ARTWORK" ,"GameFontNormalSmall");
				numleft:SetPoint("LEFT", line, "RIGHT", 5, 0);
				numright:SetPoint("RIGHT", line, "LEFT",-5, 0);
				if index2 < 0 then
					numleft:SetText(index2 * (-1));
					numright:SetText(index2 * (-1));
				else
					numleft:SetText(index2);
					numright:SetText(index2);
				end
			end
		end
		lighthouseButtons(LighthouseDB.counters, LH_Ships);
		lighthouseButtons(LighthouseDB.traits, LH_Traits);
		if faction == "Alliance" then
			lighthouseButtons(LighthouseDB.crewa, LH_Crews);
		else
			lighthouseButtons(LighthouseDB.crewh, LH_Crews);
		end
		lighthouseButtons(LighthouseDB.success_equipment, LH_Success_Equipment);
		lighthouseButtons(LighthouseDB.misc_equipment, LH_Misc_Equipment);
		lighthouseButtons(LighthouseDB.counter_equipment, LH_Counter_Equipment);
		
	end
	
	
	-- Visibility of frame--
	if lighthouseState == true then
		LH_Graph:Show();
	else
		LH_Graph:Hide();
	end

end