local faction = UnitFactionGroup("player");

function followerSync()

	local all_followers = C_Garrison.GetFollowers();
	
	local lighthouseFollowers = C_Garrison.GetFollowers(LE_FOLLOWER_TYPE_SHIPYARD_6_2);
	local watchtowerFollowers = {};
	
	for i = 1, #all_followers do
		if all_followers[i].isCollected then
			table.insert(watchtowerFollowers, all_followers[i]);
		end
	end


	if GarrisonMissionFrame:IsShown() == true then
			
		follower_parse(WatchtowerDB.counters, watchtowerFollowers);
		follower_parse(WatchtowerDB.specials, watchtowerFollowers);
		follower_parse(WatchtowerDB.experience, watchtowerFollowers);
		follower_parse(WatchtowerDB.groupa, watchtowerFollowers);
		follower_parse(WatchtowerDB.grouph, watchtowerFollowers);
		follower_parse(WatchtowerDB.slayer, watchtowerFollowers);
		follower_parse(WatchtowerDB.terrain, watchtowerFollowers);
		follower_parse(WatchtowerDB.profession, watchtowerFollowers);	
						
		watchtowerTooltips(WatchtowerDB.counters);
		watchtowerTooltips(WatchtowerDB.specials);
		watchtowerTooltips(WatchtowerDB.experience);
		watchtowerTooltips(WatchtowerDB.slayer);
		watchtowerTooltips(WatchtowerDB.terrain);
		watchtowerTooltips(WatchtowerDB.profession);
		if faction == "Alliance" then
			watchtowerTooltips(WatchtowerDB.groupa);
		else
			watchtowerTooltips(WatchtowerDB.grouph);
		end		
			
	elseif GarrisonShipyardFrame:IsShown() == true then
				
		ship_counter_parse(LighthouseDB.counters, lighthouseFollowers);
		ship_counter_parse(LighthouseDB.traits, lighthouseFollowers);
		ship_crew_parse(LighthouseDB.crewa, lighthouseFollowers);
		ship_crew_parse(LighthouseDB.crewh, lighthouseFollowers);
		ship_crew_parse(LighthouseDB.success_equipment, lighthouseFollowers);
		ship_crew_parse(LighthouseDB.misc_equipment, lighthouseFollowers);
		ship_crew_parse(LighthouseDB.counter_equipment, lighthouseFollowers);	
				
		lighthouseTooltips(LighthouseDB.counters);
		lighthouseTooltips(LighthouseDB.traits);
		lighthouseTooltips(LighthouseDB.success_equipment);
		lighthouseTooltips(LighthouseDB.misc_equipment);
		lighthouseTooltips(LighthouseDB.counter_equipment);
		
		if faction == "Alliance" then
			lighthouseTooltips(LighthouseDB.crewa);
		else
			lighthouseTooltips(LighthouseDB.crewh);
		end
				
	end
	

end
