local faction = UnitFactionGroup("player");


function watchtowerTooltips(traits)
	
	local follower_state = WATCHTOWER_FOLLOWER_STATE;
	
	for i = 1, #traits do
		
		if follower_state == "active" then
				
				frame_table[traits[i].name .. "_over"]:Hide();
				frame_table[traits[i].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.0);
				frame_table[traits[i].texture_name_active]:SetTexture(0.0,0.8,0.0,0.3);
				if the_count(traits[i].active) < 1 then
					frame_table[traits[i].texture_name_active]:SetTexture(0.0,0.8,0.0,0.0);
				elseif the_count(traits[i].active) > 9 then
					frame_table[traits[i].texture_name_active]:SetSize(18, 90);
					frame_table[traits[i].name .. "_over"]:Show();
				else
					frame_table[traits[i].texture_name_active]:SetSize(18, the_count(traits[i].active) *10);
				end
			
		elseif follower_state == "inactive" then
				
				frame_table[traits[i].name .. "_over"]:Hide();
				frame_table[traits[i].texture_name_active]:SetTexture(0.8,0.0,0.0,0.0);
				frame_table[traits[i].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.3);
				if the_count(traits[i].inactive) < 1 then
					frame_table[traits[i].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.0);
				elseif the_count(traits[i].inactive) > 9 then
					frame_table[traits[i].texture_name_inactive]:SetSize(18, 90);
				else
					frame_table[traits[i].texture_name_inactive]:SetSize(18, the_count(traits[i].inactive) *10);
				end
			
		end
	
		frame_table.buttons[traits[i].button_name]:SetScript("OnEnter", function(self, motion)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			if follower_state == "active" then
				GameTooltip:SetText(traits[i].name .. "  " .. "("  .. the_count(traits[i].active) .. ")");
			else
				GameTooltip:SetText(traits[i].name .. "  " .. "("  .. the_count(traits[i].inactive) .. ")");
			end
			new_active = {};
			new_inactive = {};
			if follower_state == "active" then
				for key,value in pairs(traits[i].active) do
					table.insert(new_active, value);
				end
				table.sort(new_active, follower_sorting);
				if #new_active ~= 0 then
					GameTooltip:AddDoubleLine(" ", " ");
				end
				wt_tipsy(new_active);
			else
				for key,value in pairs(traits[i].inactive) do
					table.insert(new_inactive, value);
				end
				table.sort(new_inactive, follower_sorting);
				if #new_inactive ~= 0 then
					GameTooltip:AddDoubleLine(" ", " ");
				end
				wt_tipsy(new_inactive);
			end
			GameTooltip:Show();
		end)
		frame_table.buttons[traits[i].button_name]:SetScript("OnLeave", function(self, motion)
			GameTooltip:Hide();
		end);	
	end	
end


function lighthouseTooltips(traits, follower_state)

	local follower_state = "active";
	
	for i =1, #traits do
	
		if follower_state == "active" then
				
				frame_table[traits[i].name .. "_over"]:Hide();
				frame_table[traits[i].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.0);
				frame_table[traits[i].texture_name_active]:SetTexture(0.0,0.8,0.0,0.3);
				if the_count(traits[i].active) < 1 then
					frame_table[traits[i].texture_name_active]:SetTexture(0.0,0.8,0.0,0.0);
				elseif the_count(traits[i].active) > 9 then
					frame_table[traits[i].texture_name_active]:SetSize(18, 90);
					frame_table[traits[i].name .. "_over"]:Show();
				else
					frame_table[traits[i].texture_name_active]:SetSize(18, the_count(traits[i].active) *10);
				end
			
		elseif follower_state == "inactive" then
				
				frame_table[traits[i].name .. "_over"]:Hide();
				frame_table[traits[i].texture_name_active]:SetTexture(0.8,0.0,0.0,0.0);
				frame_table[traits[i].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.3);
				if the_count(traits[i].inactive) < 1 then
					frame_table[traits[i].texture_name_inactive]:SetTexture(0.8,0.0,0.0,0.0);
				elseif the_count(traits[i].inactive) > 9 then
					frame_table[traits[i].texture_name_inactive]:SetSize(18, 90);
				else
					frame_table[traits[i].texture_name_inactive]:SetSize(18, the_count(traits[i].inactive) *10);
				end
			
		end
	
		frame_table.buttons[traits[i].button_name]:SetScript("OnEnter", function(self, motion)
			GameTooltip:SetOwner(self, "ANCHOR_RIGHT");
			if follower_state == "active" then
				GameTooltip:SetText(traits[i].name .. "  " .. "("  .. the_count(traits[i].active) .. ")");
				GameTooltip:AddLine(" ");
				GameTooltip:AddLine(traits[i].description, 0, 1, 1, 1, true);
			else
				GameTooltip:SetText(traits[i].name .. "  " .. "("  .. the_count(traits[i].inactive) .. ")");
			end
			new_active = {};
			new_inactive = {};
			if follower_state == "active" then
				for key,value in pairs(traits[i].active) do
					table.insert(new_active, value);
				end
				table.sort(new_active, follower_sorting);
				if #new_active ~= 0 then
					GameTooltip:AddLine(" ");
				end
				lh_tipsy(new_active);
			else
				for key,value in pairs(traits[i].inactive) do
					table.insert(new_inactive, value);
				end
				table.sort(new_inactive, follower_sorting);
				if #new_inactive ~= 0 then
					GameTooltip:AddLine(" ");
				end
				lh_tipsy(new_inactive);
			end
			GameTooltip:Show();
		end)
		frame_table.buttons[traits[i].button_name]:SetScript("OnLeave", function(self, motion)
			GameTooltip:Hide();
		end);	
	end	
end


function wt_tipsy(tbl)
	for key, value in ipairs(tbl) do
		local status = "";
		if value.status == "Inactive" then
			status = "|cffffffff[|r" .. "|cffff0000Inactive|r" .. "|cffffffff]|r";
		else
			if value.status == nil then
				status = "|cffffffff[|r" .. "|cff1eff00Idle|r"  .. "|cffffffff]|r";
			else
				status = "|cffffffff[|r" .. "|cff1eff00" .. value.status .. "|r"  .. "|cffffffff]|r";
			end
		end
				
		if value.quality == 5 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cffff8000[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cffff8000[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status); 
			end	
		elseif value.quality == 4 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cffa335ee[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cffa335ee[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			end
		elseif value.quality == 3 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cff0070dd[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cff0070dd[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			end
		elseif value.quality == 2 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cff1eff00[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cff1eff00[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			end
		end
	end
end

function lh_tipsy(tbl)
	for key, value in ipairs(tbl) do
		local status = "";
		if value.status == "Inactive" then
			status = "|cffffffff[|r" .. "|cffff0000Inactive|r" .. "|cffffffff]|r";
		else
			if value.status == nil then
				status = "|cffffffff[|r" .. "|cff1eff00Idle|r"  .. "|cffffffff]|r";
			else
				status = "|cffffffff[|r" .. "|cff1eff00" .. value.status .. "|r"  .. "|cffffffff]|r";
			end
		end
				
		if value.quality == 5 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cffff8000[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cffff8000[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status); 
			end	
		elseif value.quality == 4 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cffa335ee[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cffa335ee[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			end
		elseif value.quality == 3 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cff0070dd[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cff0070dd[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			end
		elseif value.quality == 2 then
			if value.level < 100 then
				GameTooltip:AddDoubleLine("|cff1eff00[" .. value.level .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			else
				GameTooltip:AddDoubleLine("|cff1eff00[" .. value.iLevel .. "] |r" .. "|cffffffff" .. value.name .. "|r", status);
			end
		end
	end
end